effect: anti-aliasing seemingly broken when layer-wide effects enabled
Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22909

Description

I've just noticed a serious (if one cares about quality of exported composers ;) ) issue with effects. Under a specific symbology

composition scenario, enabling layer-wide effects results in pixelated border. If I had to guess what's happening here, it looks like the

transparency is dropped, affecting rendering of anti-aliased edge.

The effect_vs_noeffect.png screenshot probably does a better job at demonstrating the issue than my introductory paragraph above.

A test project is also attached to reproduce this issue.

Associated revisions

Revision 179a92cd - 2016-06-07 02:08 AM - Nyall Dawson

[effect] fix issue with svg marker and antialiasing (fixes #14960)

Credit for original patch to @nirvn

Revision 0a93bdd3 - 2016-07-01 12:26 AM - Nyall Dawson

[effect] fix issue with svg marker and antialiasing (fixes #14960)

Credit for original patch to @nirvn

(cherry-picked from 179a92cd65a70a411c8085875ab3e20bf5fa5d46)

History

#1 - 2016-06-06 12:56 AM - Mathieu Pellerin - nIRV

Just tested: the problematic rendering equals rendering of marker without anti-aliasing (i.e. if you go in QGIS' preference window and switch anti-aliasing

off).

Issue also affects filled markers, and ellipse markers.

#2 - 2016-06-06 02:36 AM - Mathieu Pellerin - nIRV

Few more observations:

- The issue is actually triggered by the use of an SVG marker layer; if I have an svg marker layer added, the absence of antialiasing will appear after the
first feature is rendered.

- Scarily enough, it affects everything, including polygons (if you end up using centroid fill with an svg marker), lines (if you use an svg marker on vertexes),

etc.

#3 - 2016-06-06 05:08 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"179a92cd65a70a411c8085875ab3e20bf5fa5d46".
